# PolTools

![PolTools](https://user-images.githubusercontent.com/39243170/114208060-addfdf80-9922-11eb-82a7-9227af808d82.png)


PolTools is a collection of bioinformatic programs analyzing PRO-Seq, PRO-Cap, and similar next generation sequencing experiments analyzing nascent RNAs.

It is primary written in python3, but utilizes R for plotting and C++ for computationally expensive analyses. These tools were developed in the Price Lab.

Please see the [documentation](https://geoffscollins.github.io/PolTools/index.html) for more information. 

PolTools contains 19 main programs, listed below. However, PolTools is much more than a collection of bioinformatic programs. It contains an extensive library of utility functions which can easily be used to create new, exciting bioinformatic tools.

- TES Fold Change Heatmap
- TES Heatmap
- Base Distribution
- Gene Body Fold Change Heatmap
- Gene Body Heatmap
- Make Regions File Centered on Max TSS
- Metaplot
- Multicoverage
- Nucleotide Heatmap
- Pausing Distance Distribution from Max TSS
- Read Through Transcription
- Region Fold Change Heatmap
- Region Heatmap
- Sequence from Around Max TSS
- Sequence Searches
- TPS Distance Per Gene
- Track Links From Bigwigs
- truQuant
- tsrFinder
